List Jobs
curl --request GET \
--url https://sdk.nimbleway.com/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://sdk.nimbleway.com/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sdk.nimbleway.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"agent_name": "<string>",
"description": "<string>",
"schedule": {
"cron": "<string>",
"enabled": true
},
"inputs": {
"file_path": "<string>",
"data": [
{}
]
},
"destination": {
"path": "<string>",
"format": "parquet"
},
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Jobs
List Jobs
GET
/
v1
/
jobs
List Jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by name or display name
Filter by agent name
Required range:
x >= 1Required range:
1 <= x <= 200Cookies
Was this page helpful?
⌘I